Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Shape

All Superinterfaces:
  AbstractFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier, RealFigure

All Known Subinterfaces:
  Ellipse, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, Rectangle, RoundedRectangle, ScalablePolygon

All Known Implementing Classes:
  EllipseImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl, ScalablePolygonImpl, ShapeImpl

    public interface Shape

extends RealFigure

A representation of the model object 'Shape'. org.eclipse.draw2d.Shape

The following features are supported:

- `Outline`
- `Fill`
- `Line Width`
- `Line Kind`
- `Xor Fill`
- `Xor Outline`
- `Resolved Children`

See Also:
  `GMFGraphPackage.getShape()`
** Generated **
Model:
  abstract="true"

Method Summary
`LineKind` `getLineKind()` Returns the value of the 'Line Kind' attribute.
`int` `getLineWidth()` Returns the value of the 'Line Width' attribute.
`org.eclipse.emf.common.util.EList<Figure>` `getResolvedChildren()` Returns the value of the 'Resolved Children' reference list.
`boolean` `isFill()` Returns the value of the 'Fill' attribute.
`boolean` `isOutline()` Returns the value of the 'Outline' attribute.
`boolean` `isXorFill()` Returns the value of the 'Xor Fill' attribute
`boolean` `isXorOutline()` Returns the value of the 'Xor Outline' attribute
`void` `setFill(boolean value)` Sets the value of the '`Fill`' attribute
`void` `setLineKind(LineKind value)` Sets the value of the '`Line Kind`' attribute
`void` `setLineWidth(int value)` Sets the value of the '`Line Width`' attribute
`void` `setOutline(boolean value)` Sets the value of the '`Outline`' attribute
`void` `setXorFill(boolean value)` Sets the value of the '`Xor Fill`' attribute
`void` `setXorOutline(boolean value)` Sets the value of the '`Xor Outline`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isOutline

    boolean isOutline()

  Returns the value of the 'Outline' attribute. The default value is `"true"`.

  If the meaning of the 'Outline' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Outline' attribute.
  See Also:
    `setOutline(boolean)`, `GMFGraphPackage.getShape_Outline()`
  ** Generated **
  Model:
    default="true"

### setOutline

    void setOutline(boolean value)

  Sets the value of the '`Outline`' attribute.

  Parameters:
    `value` - the new value of the 'Outline' attribute.
  See Also:
    `isOutline()`
  ** Generated **

### isFill

    boolean isFill()

  Returns the value of the 'Fill' attribute. The default value is `"true"`.

  If the meaning of the 'Fill' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fill' attribute.
  See Also:
    `setFill(boolean)`, `GMFGraphPackage.getShape_Fill()`
  ** Generated **
  Model:
    default="true"

### setFill

    void setFill(boolean value)

  Sets the value of the '`Fill`' attribute.

  Parameters:
    `value` - the new value of the 'Fill' attribute.
  See Also:
    `isFill()`
  ** Generated **

### getLineWidth

    int getLineWidth()

  Returns the value of the 'Line Width' attribute. The default value is `"1"`.

  If the meaning of the 'Line Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Line Width' attribute.
  See Also:
    `setLineWidth(int)`, `GMFGraphPackage.getShape_LineWidth()`
  ** Generated **
  Model:
    default="1"

### setLineWidth

    void setLineWidth(int value)

  Sets the value of the '`Line Width`' attribute.

  Parameters:
    `value` - the new value of the 'Line Width' attribute.
  See Also:
    `getLineWidth()`
  ** Generated **

### getLineKind

    LineKind getLineKind()

  Returns the value of the 'Line Kind' attribute. The literals are from the enumeration `LineKind`.

  If the meaning of the 'Line Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Line Kind' attribute.
  See Also:
    `LineKind`, `setLineKind(LineKind)`, `GMFGraphPackage.getShape_LineKind()`
  ** Generated **
  Model:

### setLineKind

    void setLineKind(LineKind value)

  Sets the value of the '`Line Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Line Kind' attribute.
  See Also:
    `LineKind`, `getLineKind()`
  ** Generated **

### isXorFill

    boolean isXorFill()

  Returns the value of the 'Xor Fill' attribute.

  If the meaning of the 'Xor Fill' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xor Fill' attribute.
  See Also:
    `setXorFill(boolean)`, `GMFGraphPackage.getShape_XorFill()`
  ** Generated **
  Model:

### setXorFill

    void setXorFill(boolean value)

  Sets the value of the '`Xor Fill`' attribute.

  Parameters:
    `value` - the new value of the 'Xor Fill' attribute.
  See Also:
    `isXorFill()`
  ** Generated **

### isXorOutline

    boolean isXorOutline()

  Returns the value of the 'Xor Outline' attribute.

  If the meaning of the 'Xor Outline' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xor Outline' attribute.
  See Also:
    `setXorOutline(boolean)`, `GMFGraphPackage.getShape_XorOutline()`
  ** Generated **
  Model:

### setXorOutline

    void setXorOutline(boolean value)

  Sets the value of the '`Xor Outline`' attribute.

  Parameters:
    `value` - the new value of the 'Xor Outline' attribute.
  See Also:
    `isXorOutline()`
  ** Generated **

### getResolvedChildren

    org.eclipse.emf.common.util.EList<Figure> getResolvedChildren()

  Returns the value of the 'Resolved Children' reference list. The list contents are of type `Figure`.

  If the meaning of the 'Resolved Children' reference list isn't clear, there really should be more of a description here...

  Same as children, but resolves child FigureRefs, if any, to Figures

  Returns:
    the value of the 'Resolved Children' reference list.
  See Also:
    `GMFGraphPackage.getShape_ResolvedChildren()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.